import { nextui } from '@nextui-org/react';
import colors from './theme/colors';

import type { Config } from 'tailwindcss';

const config: Config = {
  content: [
    './pages/**/*.{js,ts,jsx,tsx,mdx}',
    './components/**/*.{js,ts,jsx,tsx,mdx}',
    './theme/**/*.{js,ts,jsx,tsx,mdx}',
    './app/**/*.{js,ts,jsx,tsx,mdx}',
    './node_modules/@nextui-org/theme/dist/**/*.{js,ts,jsx,tsx}'
  ],
  theme: {
    extend: {
      fontFamily: {
        sans: ['Indivisible', 'sans-serif']
      }
    }
  },
  darkMode: 'class',
  plugins: [
    nextui({
      themes: {
        light: colors.light,
        dark: colors.dark
      }
    })
  ]
};
export default config;
